Skip to content

Reorder Flow Step Choice

POST /rest/asset/v1/smartCampaign/{id}/flow/{stepId}/choice/{choiceId}/reorder.json

Permissions Read-Write Assets

Build a request and mock the response

Method: POST
Path: /rest/asset/v1/smartCampaign/{id}/flow/{stepId}/choice/{choiceId}/reorder.json
Tag: Smart Campaigns
Operation ID: reorderSmartCampaignFlowStepChoiceUsingPOST

Moves a choice to a new position within a flow step. Required Permissions: Read-Write Assets

Formats

  • Request: application/x-www-form-urlencoded
  • Response: application/json

Request

Path parameters

Name Type Required Description Constraints
id integer (int32) Yes Id of the smart campaign
stepId integer (int32) Yes Id of the flow step
choiceId integer (int32) Yes Id of the flow step choice

Query parameters

Name Type Required Description Constraints
newSeqNumZeroBased integer (int32) Yes New 0-based position for the choice. Must be non-negative

Example request

POST {{base_url}}/rest/asset/v1/smartCampaign/{{id}}/flow/{{stepId}}/choice/{{choiceId}}/reorder.json?newSeqNumZeroBased={{newSeqNumZeroBased}}
Accept: application/json

Responses

200 — OK

Schema: model: ResponseOfSmartCampaignFlowMutationResponse

Generated example

{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "requestId": "123",
  "result": [
    {
      "id": 123,
      "name": "Example name",
      "flow": {
        "steps": [
          {
            "id": 123,
            "activityTypeId": 123,
            "activityTypeName": "Example name",
            "stepChoice": [
              null
            ]
          }
        ]
      }
    }
  ],
  "success": true,
  "warnings": [
    "string"
  ]
}

Referenced models

Source

Generated from swagger-asset.json.

Generated examples are inferred from the schema. They are illustrative and may not be valid production payloads.